Bug 193147 - Many vim directories are not owned by any package
Many vim directories are not owned by any package
Status: CLOSED DUPLICATE of bug 192787
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 13:12 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 11:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-05-25 13:12:52 EDT
Description of problem:
Many vim directories are not owned by any package, but should be owned by 
vim, as the vim rpm package is delivering its content.

Version-Release number of selected component (if applicable):
vim-7.0.016-1

How reproducible:
rpm -qf /usr/share/vim/vim70/lang/de/LC_MESSAGES
rpm -qf /usr/share/man/fr.UTF-8/man1

Expected results:
Please apply the following patch (or better):

--- snipp ---
--- vim.spec       2006-05-13 11:42:07.000000000 +0200
+++ vim.spec.rsc   2006-05-25 19:14:15.000000000 +0200
@@ -477,28 +477,28 @@
 /usr/share/vim/%{vimdir}/syntax
 /usr/share/vim/%{vimdir}/tools
 /usr/share/vim/%{vimdir}/tutor
-%lang(af) /usr/share/vim/%{vimdir}/lang/af/*
-%lang(ca) /usr/share/vim/%{vimdir}/lang/ca/*
-%lang(cs) /usr/share/vim/%{vimdir}/lang/cs/*
-%lang(de) /usr/share/vim/%{vimdir}/lang/de/*
-%lang(en_GB) /usr/share/vim/%{vimdir}/lang/en_GB/*
-%lang(es) /usr/share/vim/%{vimdir}/lang/es/*
-%lang(fr) /usr/share/vim/%{vimdir}/lang/fr/*
-%lang(ga) /usr/share/vim/%{vimdir}/lang/ga/*
-%lang(it) /usr/share/vim/%{vimdir}/lang/it/*
-%lang(ja) /usr/share/vim/%{vimdir}/lang/ja/*
-%lang(ko) /usr/share/vim/%{vimdir}/lang/ko/*
-%lang(no) /usr/share/vim/%{vimdir}/lang/no/*
-%lang(pl) /usr/share/vim/%{vimdir}/lang/pl/*
-%lang(ru) /usr/share/vim/%{vimdir}/lang/ru/*
-%lang(sk) /usr/share/vim/%{vimdir}/lang/sk/*
-%lang(sv) /usr/share/vim/%{vimdir}/lang/sv/*
-%lang(uk) /usr/share/vim/%{vimdir}/lang/uk/*
-%lang(vi) /usr/share/vim/%{vimdir}/lang/vi/*
-%lang(zh_CN) /usr/share/vim/%{vimdir}/lang/zh_CN/*
-%lang(zh_TW) /usr/share/vim/%{vimdir}/lang/zh_TW/*
-%lang(zh_CN.UTF-8) /usr/share/vim/%{vimdir}/lang/zh_CN.UTF-8/*
-%lang(zh_TW.UTF-8) /usr/share/vim/%{vimdir}/lang/zh_TW.UTF-8/*
+%lang(af) /usr/share/vim/%{vimdir}/lang/af
+%lang(ca) /usr/share/vim/%{vimdir}/lang/ca
+%lang(cs) /usr/share/vim/%{vimdir}/lang/cs
+%lang(de) /usr/share/vim/%{vimdir}/lang/de
+%lang(en_GB) /usr/share/vim/%{vimdir}/lang/en_GB
+%lang(es) /usr/share/vim/%{vimdir}/lang/es
+%lang(fr) /usr/share/vim/%{vimdir}/lang/fr
+%lang(ga) /usr/share/vim/%{vimdir}/lang/ga
+%lang(it) /usr/share/vim/%{vimdir}/lang/it
+%lang(ja) /usr/share/vim/%{vimdir}/lang/ja
+%lang(ko) /usr/share/vim/%{vimdir}/lang/ko
+%lang(no) /usr/share/vim/%{vimdir}/lang/no
+%lang(pl) /usr/share/vim/%{vimdir}/lang/pl
+%lang(ru) /usr/share/vim/%{vimdir}/lang/ru
+%lang(sk) /usr/share/vim/%{vimdir}/lang/sk
+%lang(sv) /usr/share/vim/%{vimdir}/lang/sv
+%lang(uk) /usr/share/vim/%{vimdir}/lang/uk
+%lang(vi) /usr/share/vim/%{vimdir}/lang/vi
+%lang(zh_CN) /usr/share/vim/%{vimdir}/lang/zh_CN
+%lang(zh_TW) /usr/share/vim/%{vimdir}/lang/zh_TW
+%lang(zh_CN.UTF-8) /usr/share/vim/%{vimdir}/lang/zh_CN.UTF-8
+%lang(zh_TW.UTF-8) /usr/share/vim/%{vimdir}/lang/zh_TW.UTF-8
 /usr/bin/xxd
 %{_mandir}/man1/vim.*
 %{_mandir}/man1/ex.*
@@ -507,10 +507,10 @@
 %{_mandir}/man1/rvi.*
 %{_mandir}/man1/rview.*
 %{_mandir}/man1/xxd.*
-%lang(fr) %{_mandir}/fr*/*
-%lang(it) %{_mandir}/it*/*
-%lang(ru) %{_mandir}/ru*/*
-%lang(pl) %{_mandir}/pl*/*
+%lang(fr) %{_mandir}/fr*
+%lang(it) %{_mandir}/it*
+%lang(ru) %{_mandir}/ru*
+%lang(pl) %{_mandir}/pl*

 %files minimal
 %defattr(-,root,root)
--- snapp ---
Comment 1 Karsten Hopp 2006-05-29 11:24:07 EDT

*** This bug has been marked as a duplicate of 192787 ***

Note You need to log in before you can comment on or make changes to this bug.